{% extends 'layout.html' %}{% load static %}

{% block title %}
Home
{% endblock title %}

{% block content %}
{% block js %}
<script src="{% static 'scripts/panitia/penjadwalan_home.js' %}"></script>
{% endblock js %}

{% include 'navbar.html' %}
<div class='container mt-5'>
    <h2>Penjadwalan</h2>
    <div class='d-flex justify-content-between'>
        <input id='search' class='flex-grow-1' type="search">
        <button type="button" class="btn btn-dark">sort</button>
        <button type="button" class="btn btn-primary toggleModal btn-tambah">Tambah Jadwal</button>

    </div>

    <table id='info-penjadwalan' class="table mt-3">
        <thead>
          <tr>
            <th scope="col">No</th>
            <th scope="col">Instansi</th>
            <th scope="col">Waktu Pelaksanaan</th>
            <th scope="col">Kuota</th>
            <th scope="col">Status</th>
            <th scope="col">Kode Distribusi</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <th scope="row">1</th>
            <td>PT Bintang Pratama</td>
            <td>18 November
                2021 10:00</td>
            <td>300 </td>
            <td> Pengajuan disetujui </td>
            <td>dst01 </td>
            <td>
            <button type="button" class="btn btn-primary toggleModal btn-detail">Detail</button>

            </td>
          </tr>
          <tr>
            <th scope="row">2</th>
            <td>Rumah Sakit UI</td>
            <td>30 Desember
                2021 08:00</td>
            <td>300 </td>
            <td>Pengajuan
                dikirim</td>
            <td></td>
            <td>
                <button type="button" class="btn btn-primary toggleModal btn-detail mb-1 mt-1">Detail</button>
                <button type="button" class="btn btn-primary toggleModal btn-ubah mb-1 mt-1">Ubah Status</button>
            </td>
          </tr>
          <tr>
            <th scope="row">3</th>
            <td>Rumah Sakit
                Umum
                Tangerang</td>
            <td>02 November
                2021 10:00
                </td>
            <td>300 </td>
            <td>Pengajuan
                ditolak
                </td>
            <td></td>
            <td><button type="button" class="btn btn-primary toggleModal btn-detail">Detail</button></td>
          </tr>
        </tbody>
      </table>

      <!-- modal untuk tambah penjadwalan -->
      
      <!-- modal untuk lihat detail penjadwalan -->

      <div class="modal fade" tabindex="-1" role="dialog" id="modal-penjadwalan"> 
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">Ubah Status Penjadwalan</h4>
            </div>
            <div class="modal-body">
                <div class='detail-update'>
                    <div class="mb-3 row align-items-center case-normal">
                        <label for="namaInstansi" class="col-sm-3 col-form-label">Nama Instansi</label>
                        <div class="col-sm-9">
                        <input type="text" class="form-control" id="namaInstansi" value="PT Jakarta Raya">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-normal">
                        <label for="tglWaktu" class="col-sm-3 col-form-label">Tanggal dan Waktu Pelaksanaan</label>
                        <div class="col-sm-9">
                        <input type="text" class="form-control" id="tglWaktu" value="19 Januari 2021 16:52">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-normal">
                        <label for="kuota" class="col-sm-3 col-form-label">Kuota</label>
                        <div class="col-sm-9">
                        <input type="text" class="form-control" id="kuota" value="819">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-normal">
                        <label for="kategori" class="col-sm-3 col-form-label">Kategori Penerima</label>
                        <div class="col-sm-9">
                        <input type="text" class="form-control" id="kategori" value="Pengguna">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-normal">
                        <label for="lokasi" class="col-sm-3 col-form-label">Lokasi Vaksin</label>
                        <div class="col-sm-9">
                        <input type="text" class="form-control" id="lokasi" value="Pine Rest Community Hospital">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center status-vaksin case-normal">
                        <label for="statustiket" class="col-sm-3 col-form-label">Status</label>
                        <div class="col-sm-9">
                        <input type="text" disabled class="form-control" id="statustiket" value="Pengajuan Diterima">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center status-vaksin case-detail">
                        <label for="statustiket" class="col-sm-3 col-form-label">Jumlah Tenaga Kesehatan: </label>
                        <div class="col-sm-9">
                        <input type="text" disabled class="form-control" id="statustiket" value="120">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center status-vaksin case-detail">
                        <label for="statustiket" class="col-sm-3 col-form-label">Diverifikasi Oleh</label>
                        <div class="col-sm-9">
                        <input type="text" disabled class="form-control" id="statustiket" value="Someone">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center status-vaksin case-detail">
                        <h6>Informasi Distribusi</h6>
                        <table class="table table-sm">
                            <thead>
                            <tr>
                                <th scope="col">Kode</th>
                                <th scope="col">Tanggal Distribusi</th>
                                <th scope="col">Biaya</th>
                                <th scope="col">Jenis Vaksin</th>
                                <th scope="col">Jumlah</th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class='tambah-jadwal'>
                    <div class="mb-3 row align-items-center case-tambah">
                        <div class='form-group'>
                            <label for="jenis-akun">Instansi</label>
                            <select class="form-control" id="jenis-akun">
                            <option value='nakes'>Nakes</option>
                            <option value='walaala'>walaala</option>
                            <option value='Rakyat'>Rakyat</option>
                            </select>
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-tambah">
                        <div class="form-group">
                            <label for="date-input">Kuota</label>
                            <input type="datetime-local" class="form-control" id="date-input">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-tambah">
                        <div class="form-group">
                            <label for="kuota-input">Kuota</label>
                            <input type="number" class="form-control" id="kuota-input" placeholder="0">
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-tambah">
                        <div class="form-group">
                            <label for="jenis-penerima">Penerima</label>
                            <div class='form-group'>
                                <select class="form-control" id="jenis-penerima">
                                <option value='walaala'>Umum</option>
                                <option value='Rakyat'>Internal</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row align-items-center case-tambah">
                        <div class="form-group">
                            <label for="jenis-penerima">Lokasi Vaksin</label>
                            <div class='form-group'>
                                <select class="form-control" id="jenis-penerima">
                                <option value='walaala'>Db1</option>
                                <option value='Rakyat'>Db2</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary case-detail" id="cancel">Cancel</button>
                <button type="button" class="btn btn-success case-ubah case-siap case-terdaftar" id="simpan">Simpan</button>
                <button type="button" class="btn btn-success case-tambah" id="simpan">Buat Jadwal</button>

            </div>
        </div>
      </div>
      </div>
</div>

{% endblock content %}